
QGIS Application - Bug report #6978

GetLegendGraphics cuts legend image at bottom, regression to 1.8

2013-01-10 06:24 AM - Bernhard Ströbl

Status: Closed

Priority: Severe/Regression

Assignee:

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16083

Description

new in version 1.9 example: 

http://webgis.uster.ch/wms/av/grundplan_av?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetLegendGraphics&#38;FORM

T=image/png&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;WIDTH=195&#38;LAYERS=Bodenbedeckung&#38;dpi=96

version 1.8 performs as expected: 

http://map2.jena.de/wms/kartenportal?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetLegendGraphics&#38;FORMAT=ima

e/png&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;WIDTH=195&#38;LAYERS=Wirtschaft%20%26%20Technologie&#38;dpi=96

;dpi=96

Associated revisions

Revision 33cbb6c0 - 2013-07-15 10:48 PM - Jürgen Fischer

fix #6978

History

#1 - 2013-01-11 03:31 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

#2 - 2013-06-01 09:23 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi, is this still true? cheers!

#3 - 2013-06-02 11:29 PM - Bernhard Ströbl

- File qgis.png added

- File getLegendGraphics.png added

Hi Giovanni, 

unfortunately yes (tested with current master 1e2e481)

I added the result of GetLegendGraphics and a screenshot of the legend in the very same project to illustrate the problem.

#4 - 2013-06-07 03:24 AM - Giovanni Manghi

- Status changed from Feedback to Open
#5 - 2013-07-01 03:22 PM - Salvatore Larosa

Just tested with the latest master (df398a1) and I can confirm it !

#6 - 2013-07-15 01:49 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"33cbb6c0642ce699d15304480d9f1788b343a7e3".

Files

getLegendGraphics.png 27.8 KB 2013-06-02 Bernhard Ströbl

qgis.png 25.3 KB 2013-06-02 Bernhard Ströbl
